<html>
<head>
<title>Insert title here</title>
<meta charset="UTF-8">
<script type="text/javascript"
	src="https://code.jquery.com/jquery-1.7.2.min.js"></script>
	
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
		<link rel="stylesheet" href="style.css"> 
</head>
<body>
	<div class="container">
    	<div class="row">
    	    <div class="col-xs-12">
        	    <div class="form-wrap">
                <h1>Log in</h1>
                    <form role="form" action="#">
                        <div class="form-group">
                            <label for="Username" class="sr-only">Username</label>
                            <input type="text" name="username" id="username" class="form-control" placeholder="marimaasikas">
                        </div>
                        <div class="form-group">
                            <label for="password" class="sr-only">Password</label>
                            <input type="password" name="password" id="password" class="form-control" placeholder="Password">
                        </div>
                        
                        <input type="submit" id="btn-login" class="btn btn-custom btn-lg btn-block" value="Log in">
                        <p class="try" id="try"></p>
                    </form>
                    <hr>
        	    </div>
    		</div>
    	</div> 
    </div> 
	
	<script>
		$('form').submit(function(event) {
			event.preventDefault();
			var loginInfoJson = $(this).serializeFormJSON();
			var arg1 = loginInfoJson.username;
			var arg2 = loginInfoJson.password;
			$.getJSON("http://localhost:8080/PadevusteHaldus/rest/employees/query?username="
				+ arg1 + "&password="
				+ arg2,
				function(employees) {	
					document.getElementById("try").innerHTML = "Wrong username or password. Please try again.";
					window.global = employees[0].idEmployee;
					window.location.href = "employee.html";
				});
		});
		
		(function($) {
			$.fn.serializeFormJSON = function() {
				var o = {};
				var a = this.serializeArray();
				$.each(a, function() {
					if (o[this.name]) {
						if (!o[this.name].push) {
							o[this.name] = [ o[this.name] ];
						}
						o[this.name].push(this.value || '');
					} else {
						o[this.name] = this.value || '';
					}
				});
				return o;
			};
		})(jQuery);
	</script>


</body>
</html>